const TaskBase=require("../task.base");
var system=require("../../system")
// const http=require("http")
// const querystring = require('querystring');
// var settings=require("../../../config/settings");
class StatisticalRateTask extends TaskBase{
  constructor(){
    super(TaskBase.getServiceName(StatisticalRateTask));
    this.statisticalrateSve=system.getObject("service.statisticalrateSve");
  }
  async subDoTask(){
    await this.execTj();
  }
  async execTj(){
    await this.statisticalrateSve.syncStatisticsData();
  }
}
module.exports=StatisticalRateTask;

//
// var task=new PlatformBalanceTask();
// task.checkPlatformBalance().then(function(result){
//   console.log((result));
// }).catch(function(e){
//   console.log(e);
// });
